package cn.bunny.service.service;

import cn.bunny.entity.order.Order;
import cn.bunny.vo.page.PageResult;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author order
 * @since 2024-07-29
 */
public interface OrderService extends IService<Order> {

    /**
     * * 分页查询订单
     *
     * @param pageParams 分页参数
     * @return 返回分页结果
     */
    PageResult<Order> queryPage(Page<Order> pageParams);
}
