package cn.bunny.service.service.impl;

import cn.bunny.service.service.LoginService;
import cn.hutool.captcha.CaptchaUtil;
import cn.hutool.captcha.CircleCaptcha;
import org.springframework.stereotype.Service;

@Service
public class LoginServiceImpl implements LoginService {
    /**
     * * 生成验证码
     *
     * @return 验证码图片数组
     */
    @Override
    public byte[] checkCode() {
        // 生成验证码
        CircleCaptcha captcha = CaptchaUtil.createCircleCaptcha(150, 48, 4, 2);
        return captcha.getImageBytes();
    }
}
